# aglf.c File Reference

Text output and font support in OpenGL. More...

`#include <math.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include "allegro.h"`
`#include "alleggl.h"`
`#include "allglint.h"`
`#include <GL/glu.h>`

Go to the source code of this file.

## Defines

- #define PREFIX_E "agl-font ERROR: "
- #define BUF_SIZE 1024
- #define BUF_SIZE 1024

## Functions

- static AL_CONST FONT_AGL_DATA * find_range (AL_CONST FONT_AGL_DATA *f, int c)
- int allegro_gl_printf (AL_CONST FONT *f, float x, float y, float z, int color, AL_CONST char *format,...)
    Equivalent to:.
- int allegro_gl_printf_ex (AL_CONST FONT *f, float x, float y, float z, AL_CONST char *format,...)
    Prints a formatted string (printf style) on the screen.
- void allegro_gl_set_font_generation_mode (int mode)
    Set the font generation mode for system fonts.
- FONT * allegro_gl_load_system_font (char *name, int style, int w, int h)
    Short hand for aglf_load_system_font_ex(name, AGL_FONT_TYPE_OUTLINE, style, w, h, 0.0f, 32, 256).
- FONT * allegro_gl_load_system_font_ex (char *name, int type, int style, int w, int h, float depth, int start, int end)
    Loads a system font.
- void allegro_gl_destroy_font (FONT *f)
    void allegro_gl_destroy_font(FONT *usefont)
- size_t allegro_gl_list_font_textures (FONT *f, GLuint *ids, size_t max_num_id)
    List the texture ID of all textures forming the specified font.

## Variables

- static int aglf_font_generation_mode = 1

## Detailed Description

Text output and font support in OpenGL.

Definition in file aglf.c.